Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rendsite.commands
Class Render

    java.lang.Object
      things.common.commands.CommandRoot
          rendsite.commands.Render

All Implemented Interfaces:
  Constants, things.common.ThingsConstants

    public class Render

extends things.common.commands.CommandRoot
implements Constants

A basic render entry command

Author:
  erich Version History

       10NOV09 - EPG - First package release.

Field Summary

Fields inherited from class things.common.commands.CommandRoot
`configProps, configPropsView, defaultLogger, ENTITY_ROOT_DIRECTORY, OPTION_HELP1, OPTION_HELP2, OPTION_VERBOSE, valueProps, valuePropsView, VALUES_CONFIGURATION, VALUES_VALUES`

Fields inherited from interface rendsite.Constants
`ERRORED, METAFILE_LOCAL_SUFFIX, METAFILE_PREFIX, NAME_BASE_FRAME_LOCATION, NAME_CATEGORY, NAME_CATEGORY_COMPLETE, NAME_CATEGORY_COMPLETE_EXISTING, NAME_CLEAR_REASON, NAME_DIRECTORY, NAME_DIRECTORY_DESTINATION, NAME_DIRECTORY_ERROR, NAME_DIRECTORY_FAULT, NAME_DIRECTORY_PANIC, NAME_DIRECTORY_SOURCE, NAME_ERROR, NAME_ERROR__BASE_CAUSE, NAME_ERROR__BASE_NUMERIC, NAME_ERROR__ROOT_CAUSE, NAME_ERROR_NUMBER, NAME_ERROR_NUMBER_ALLOWED, NAME_FAULT_NUMBER, NAME_FAULT_NUMBER_ALLOWED, NAME_FILE, NAME_FILE_DESTINATION, NAME_FILE_ERROR, NAME_FILE_EXCPECTED, NAME_FILE_FAULT, NAME_FILE_PANIC, NAME_FILE_RENDERED, NAME_FILE_SOURCE, NAME_FILTER, NAME_FILTER_TYPE, NAME_FRAME_LOCATION, NAME_LOCALE, NAME_METAFILE, NAME_METAFILE_LOCAL, NAME_REASON, NAME_RENDERER_CLASS, NAME_RENDERER_NAME, RENDSITE_NOTICE, UNKNOWN`

Fields inherited from interface things.common.ThingsConstants
`A_NOBODY, A_NOTHING, AN_UNKNOWN, CHEAP_LINESEPARATOR, CODEC_EQUALITY, CODEC_ESCAPE_CHARACTER, CODEC_PROPERTY_ESCAPE_CHARACTER, CODEC_QUOTING, CODEC_SEPARATOR_CHARACTER, CODEC_SEPARATOR_CHARACTER_ESCAPED, COPYRIGHT_NOTICE, CR, CRLF, DEFAULT_TRANSPORT_CONNECT_RETRIES, DEFAULT_TRANSPORT_CONNECT_RETRY_DELAY, EMPTY_STRING, EPIC_FAIL, FALSE, FS_FILE_DELETE_RETRIES, KERNEL_LOCK_TRY_LIMIT_MILLIS, LF, NEWLINE, PATH_SEPARATOR, PATH_SEPARATOR_STRING, TROOF, TRUE, WAYSA`

Constructor Summary
`Render()` Default constructor.

Method Summary
`protected void` | `declare()` Declare usage.
`protected java.lang.String` | `getFooter()` OVERRIDE IF YOU WANT TO PROVIDE PARAMETER INFORMATION to the command help.
`protected java.lang.String` | `getHeader()` OVERRIDE IF YOU WANT TO PROVIDE MORE INFO in the help about what the command does.
`protected java.lang.String` | `getName()` Get the command name.
`protected java.lang.String` | `getToken()` Get the command token.
`static void` | `main(java.lang.String[] args)` MAIN ENTRY.
`void` | `run()` Run the command.

Methods inherited from class things.common.commands.CommandRoot
`declareEntities, declareOption, declareValues, ERROR, ERROR, getConsole, getEntity, getEntityRequired, getValue, mainEntry, numberOfEntites, numberOfValues, optionIsSet, suppressListingRootInstallEntity, usage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Render

    public Render()
           throws java.lang.Throwable

  Default constructor. It's needed because of the Throwable.

  Throws:
    `java.lang.Throwable`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Throwable

  MAIN ENTRY.

  Throws:
    `java.lang.Throwable`

### declare

    protected void declare()
                    throws java.lang.Throwable

  Declare usage. Gives the subclass a chance to declare values and options.

  Specified by:
    `declare` in class `things.common.commands.CommandRoot`
  Throws:
    `java.lang.Throwable`

### run

    public void run()
             throws java.lang.Throwable

  Run the command. The implementation should NOT persist any state! It's up the the creator to decide if to keep the command object around. Any exception that finds its way out will be stopped and logged. Obviously, ThingsExceptions will provide richer detail than plain Exceptions.

  Specified by:
    `run` in class `things.common.commands.CommandRoot`
  Throws:
    `java.lang.Throwable`

### getName

    protected java.lang.String getName()

  Get the command name. This is how the subclass defines the name (which is mostly used in the help).

  Specified by:
    `getName` in class `things.common.commands.CommandRoot`

### getToken

    protected java.lang.String getToken()

  Get the command token. This is a short token that will head each log line.

  Specified by:
    `getToken` in class `things.common.commands.CommandRoot`
  Returns:
    the token.

### getHeader

    protected java.lang.String getHeader()

  OVERRIDE IF YOU WANT TO PROVIDE MORE INFO in the help about what the command does. Return null is you don't want to print a header.

  Overrides:
    `getHeader` in class `things.common.commands.CommandRoot`
  Returns:
    The header or null.

### getFooter

    protected java.lang.String getFooter()

  OVERRIDE IF YOU WANT TO PROVIDE PARAMETER INFORMATION to the command help. Return null is you don't want to print a footer.

  Overrides:
    `getFooter` in class `things.common.commands.CommandRoot`
  Returns:
    a string that is the footer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

rendsite.